arm based development board nvidia cpmpatable (mic-720AI)

hello folks
I am trying to install deepstream on the mention development board, but I get error installing jetpack. the board is not nvidia development kit, however it is support nvidia jetson tegra x2.
when i try to install jetpack I get the following error:
//////////////////////////////////////////////////////////////////////////////////
sudo apt install ./sdkmanager_0.9.14-4964_amd64.deb
Reading package lists… Done
Building dependency tree
Reading state information… Done
Note, selecting ‘sdkmanager:amd64’ instead of ‘./sdkmanager_0.9.14-4964_amd64.deb’
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
sdkmanager:amd64 : Depends: libgconf-2-4:amd64 but it is not installable
Depends: libcanberra-gtk-module:amd64 but it is not installable
E: Unable to correct problems, you have held broken packages.
//////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////
sudo dpkg -i sdkmanager_0.9.14-4964_amd64.deb && apt update -f
Selecting previously unselected package sdkmanager:amd64.
(Reading database … 153463 files and directories currently installed.)
Preparing to unpack sdkmanager_0.9.14-4964_amd64.deb …
Unpacking sdkmanager:amd64 (0.9.14-4964) …
dpkg: dependency problems prevent configuration of sdkmanager:amd64:
sdkmanager:amd64 depends on libgconf-2-4.
sdkmanager:amd64 depends on libcanberra-gtk-module.
sdkmanager:amd64 depends on locales.

dpkg: error processing package sdkmanager:amd64 (–install):
dependency problems - leaving unconfigured
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index…
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) …
Processing triggers for desktop-file-utils (0.22-1ubuntu5.2) …
Processing triggers for mime-support (3.59ubuntu1) …
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1.1) …
Errors were encountered while processing:
sdkmanager:amd64
////////////////////////////////////////////////////////////////

Hi iyaqoobi,

Please install deb file on your host Ubuntu machine. (we support ubuntu 16.04 and 18.04)
Then connect micro-USB cable to install from host machine to TX2.

hi carolyuu,
I am using third party product which is MIC-720AI from advatech.
it seems that I cannot install jetpack on the arm based boards?

Hi iyaqoobi,

Yes, the SDKManager not support arm64 platform.
Please use amd64 platform to install sdkmanager. Thanks!

any guideline that I can follow?

Hi iyaqoobi,

Please download and reference user guide from Jetson Download Center.

FYI, JetPack is a front end to the flash software and for adding other software. It always runs on the Ubuntu host PC, not the Jetson. Flash is done in recovery mode, extra package addition is done with a fully booted Jetson. Custom boards imply a need for a third party vendor to provide a device tree/BSP matching the JetPack release. The BSP is added to the JetPack software prior to flash.

thanks linuxdev, I managed to flash the board, and now I am going to install deepstream.